# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/phy/hisilicon,hi3670-usb3.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Hisilicon Kirin970 USB PHY

maintainers:
  - Mauro Carvalho Chehab <mchehab+huawei@kernel.org>
description: |+
  Bindings for USB3 PHY on HiSilicon Kirin 970.

properties:
  compatible:
    const: hisilicon,hi3670-usb-phy

  "#phy-cells":
    const: 0

  hisilicon,pericrg-syscon:
    $ref: '/schemas/types.yaml#/definitions/phandle'
    description: phandle of syscon used to control iso refclk.

  hisilicon,pctrl-syscon:
    $ref: '/schemas/types.yaml#/definitions/phandle'
    description: phandle of syscon used to control usb tcxo.

  hisilicon,sctrl-syscon:
    $ref: '/schemas/types.yaml#/definitions/phandle'
    description: phandle of syscon used to control phy deep sleep.

  hisilicon,eye-diagram-param:
    $ref: /schemas/types.yaml#/definitions/uint32
    description: Eye diagram for phy.

  hisilicon,tx-vboost-lvl:
    $ref: /schemas/types.yaml#/definitions/uint32
    description: TX level vboost for phy.

required:
  - compatible
  - hisilicon,pericrg-syscon
  - hisilicon,pctrl-syscon
  - hisilicon,sctrl-syscon
  - hisilicon,eye-diagram-param
  - hisilicon,tx-vboost-lvl
  - "#phy-cells"

additionalProperties: false

examples:
  - |
    bus {
      #address-cells = <2>;
      #size-cells = <2>;

      usb3_otg_bc: usb3_otg_bc@ff200000 {
        compatible = "syscon", "simple-mfd";
        reg = <0x0 0xff200000 0x0 0x1000>;

        usb_phy {
          compatible = "hisilicon,hi3670-usb-phy";
          #phy-cells = <0>;
          hisilicon,pericrg-syscon = <&crg_ctrl>;
          hisilicon,pctrl-syscon = <&pctrl>;
          hisilicon,sctrl-syscon = <&sctrl>;
          hisilicon,eye-diagram-param = <0xfdfee4>;
          hisilicon,tx-vboost-lvl = <0x5>;
        };
      };
    };
